package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * UsbInfoListResponse
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class UsbInfoListResponse   {
  @JsonProperty("usbList")
  @Valid
  private List<UsbInfo> usbList = null;

  public UsbInfoListResponse usbList(List<UsbInfo> usbList) {
    this.usbList = usbList;
    return this;
  }

  public UsbInfoListResponse addUsbListItem(UsbInfo usbListItem) {
    if (this.usbList == null) {
      this.usbList = new ArrayList<>();
    }
    this.usbList.add(usbListItem);
    return this;
  }

  /**
   * USB info list.
   * @return usbList
  */
  @ApiModelProperty(value = "USB info list.")

  @Valid

  public List<UsbInfo> getUsbList() {
    return usbList;
  }

  public void setUsbList(List<UsbInfo> usbList) {
    this.usbList = usbList;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UsbInfoListResponse usbInfoListResponse = (UsbInfoListResponse) o;
    return Objects.equals(this.usbList, usbInfoListResponse.usbList);
  }

  @Override
  public int hashCode() {
    return Objects.hash(usbList);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UsbInfoListResponse {\n");
    
    sb.append("    usbList: ").append(toIndentedString(usbList)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

